Bug 1281234 - [abrt] gnome-shell: _gtk_css_value_equal(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: _gtk_css_value_equal(): gnome-shell killed by SIGSEGV
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b5cb7f822314d8a285d56ea5a3e...
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-12 06:00 UTC by N. Jackson
Modified: 2016-01-24 22:51 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-01-24 22:51:08 UTC


Attachments (Terms of Use)
File: backtrace (29.00 KB, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details
File: core_backtrace (6.66 KB, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details
File: dso_list (26.13 KB, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details
File: environ (1.80 KB, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details
File: maps (137.88 KB, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details
File: mountinfo (3.85 KB, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details
File: open_fds (3.81 KB, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details
File: var_log_messages (17.84 KB, text/plain)
2015-11-12 06:00 UTC, N. Jackson
no flags Details

Description N. Jackson 2015-11-12 06:00:26 UTC
Description of problem:
I was trying out different desktop themes. When I selected one of them from the list things broke. There were Gtk-WARNING messages on the console saying "Not using units is deprecated". So I guess it there was an bad / out of date theme on my system. That shouldn't cause so much havoc though; a more graceful failure would be an improvement.

Version-Release number of selected component:
gnome-shell-3.18.1-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-shell --sm-client-id 10b98a6a1cd879626144520493239063100000023450000
crash_function: _gtk_css_value_equal
executable:     /usr/bin/gnome-shell
global_pid:     3100
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_css_value_equal at gtkcssvalue.c:110
 #1 gtk_css_style_add_difference at gtkcssstyle.c:101
 #2 gtk_css_widget_node_style_changed at gtkcsswidgetnode.c:61
 #7 gtk_css_node_set_style at gtkcssnode.c:867
 #8 gtk_css_node_ensure_style at gtkcssnode.c:928
 #10 gtk_css_node_validate_internal at gtkcssnode.c:1277
 #11 gtk_container_idle_sizer at gtkcontainer.c:2014
 #12 _g_closure_invoke_va at gclosure.c:864
 #14 g_signal_emit_by_name at gsignal.c:3479
 #15 gdk_frame_clock_paint_idle at gdkframeclockidle.c:408

Comment 1 N. Jackson 2015-11-12 06:00:30 UTC
Created attachment 1093010 [details]
File: backtrace

Comment 2 N. Jackson 2015-11-12 06:00:32 UTC
Created attachment 1093011 [details]
File: cgroup

Comment 3 N. Jackson 2015-11-12 06:00:33 UTC
Created attachment 1093012 [details]
File: core_backtrace

Comment 4 N. Jackson 2015-11-12 06:00:35 UTC
Created attachment 1093013 [details]
File: dso_list

Comment 5 N. Jackson 2015-11-12 06:00:36 UTC
Created attachment 1093014 [details]
File: environ

Comment 6 N. Jackson 2015-11-12 06:00:37 UTC
Created attachment 1093015 [details]
File: exploitable

Comment 7 N. Jackson 2015-11-12 06:00:38 UTC
Created attachment 1093016 [details]
File: limits

Comment 8 N. Jackson 2015-11-12 06:00:40 UTC
Created attachment 1093017 [details]
File: maps

Comment 9 N. Jackson 2015-11-12 06:00:41 UTC
Created attachment 1093018 [details]
File: mountinfo

Comment 10 N. Jackson 2015-11-12 06:00:42 UTC
Created attachment 1093019 [details]
File: open_fds

Comment 11 N. Jackson 2015-11-12 06:00:43 UTC
Created attachment 1093020 [details]
File: proc_pid_status

Comment 12 N. Jackson 2015-11-12 06:00:44 UTC
Created attachment 1093021 [details]
File: var_log_messages

Comment 13 Owen Taylor 2015-11-12 14:22:45 UTC
Would it be possible for you to see if you can find out a reproducible sequence for triggering this crash? It's some kind of bug in GTK+'s internal theme machinery that is triggered either by switching themes, or by particular theme, but without a reproducer it's hard to figure out what the bug is. There are quite a few reports of this on retrace.fedoraproject.org.

I don't think the "Not using units is deprecated" message is related.

Comment 14 N. Jackson 2015-11-19 22:21:09 UTC
Yes. This seems to be simply reproducible on this system.

0. Start Tweak Tool.

Tweak Tool opens on the "Appearance" tab. "Global Dark Theme" is shown as off, and under the heading "Theme", "GTK+" is shown as "Adwaita (default)", "Icons" is shown as "Adwaita (default)", "Cursor" is shown as "Adwaita (default), "Shell Theme" is shown as "Default", and "Enable Animations" is shown as on.

1. Click the button to change the GTK+ theme.

2. Select "Nightfall" from the list of themes.

At that point, or a second or two afterwards, Tweak Tool, GNOME Shell (I think, but it comes right back), and most (but not all) of my GUI programs crash.

I don't know the provenance of the theme "Nighfall". Maybe it came with Fedora 19 or 21 or 23. But it's possible that I downloaded it after I installed Fedora 19 or after I upgraded to Fedora 21 while attempting to get a usable user interface.

Please let me know if you need me to provide more information.

Thanks.

Comment 15 N. Jackson 2015-11-19 22:32:39 UTC
Followup:

The programs that don't crash are Qt applications (Konsole and Dolphin), so that solves that mystery.

The error messages at the time of the crash(es) that are printed by Emacs (strangely) but are about gtk-widgets.css, gtk-widgets-backdrop.css, gnome-panel.css, nautilus.css, and unity.css are:

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:86:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:193:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:229:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:292:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:326:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:413:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:749:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1097:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1190:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1202:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1292:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1727:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1829:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1846:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1862:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1924:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1933:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:1947:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2017:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets.css:2149:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:19:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:96:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:186:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:506:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:853:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:928:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:944:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:960:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:1015:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:1023:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:1037:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:1106:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gtk-widgets-backdrop.css:1240:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: gnome-panel.css:94:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: nautilus.css:14:18: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: nautilus.css:14:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: nautilus.css:77:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: nautilus.css:82:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: nautilus.css:111:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: nautilus.css:117:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: nautilus.css:122:21: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: nautilus.css:132:20: Not using units is deprecated. Assuming 'px'.

(emacs:6356): Gtk-WARNING **: Theme parsing error: unity.css:23:21: Not using units is deprecated. Assuming 'px'.

Comment 16 Owen Taylor 2015-11-20 14:25:23 UTC
Can you tar up your /usr/share/themes/Nightfall/gtk-3.0 directory and attach it here? Thanks!

Comment 17 N. Jackson 2015-11-20 15:26:21 UTC
Hmm... there is no directory named "Nightfall" in /usr/share/themes. Indeed, there seems to be no file or directory on my system with "nightfall" or "Nightfall" in the name. Nevertheless, "Nightfall" still appears on the list of GTK+ themes in Tweak Tool.

Comment 18 Owen Taylor 2015-11-20 16:02:32 UTC
(In reply to N. Jackson from comment #17)
> Hmm... there is no directory named "Nightfall" in /usr/share/themes. Indeed,
> there seems to be no file or directory on my system with "nightfall" or
> "Nightfall" in the name. Nevertheless, "Nightfall" still appears on the list
> of GTK+ themes in Tweak Tool.

It's probably installed in your home directory. It's OK anyways - people have managed to reproduce the crash and are looking into solutions.

Comment 19 Kalev Lember 2015-12-18 11:23:10 UTC
This should be fixed with gtk3-3.18.6-1.fc23. If you can reproduce the crash with the new gtk3 build, please reopen the ticket. Thanks!

Comment 20 Fedora Update System 2016-01-11 17:49:31 UTC
gtk3-3.16.7-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e01d1ad05e

Comment 21 Fedora Update System 2016-01-12 09:54:11 UTC
gtk3-3.16.7-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e01d1ad05e

Comment 22 Fedora Update System 2016-01-24 22:51:06 UTC
gtk3-3.16.7-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.